Bug 839106 - 'FS-Cache' chapter 'frun', 'fcull' and 'fstop' not consistent
'FS-Cache' chapter 'frun', 'fcull' and 'fstop' not consistent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Storage_Admin_Guide (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jacquelynn East
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 20:20 EDT by Noriko Mizumoto
Modified: 2015-07-26 18:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 19:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
In-kernel documentation for cachefiles (16.73 KB, text/plain)
2013-07-29 07:21 EDT, David Howells
no flags Details

  None (edit)
Description Noriko Mizumoto 2012-07-10 20:20:57 EDT
Hello David

This book has now been translated into Japanese, published publicly and available for readers. I've applied some corrections and need your advise asap.
Could you please check the following and advise whether the corrections applied is valid or invalid?

In 'FS-Cache' chapter, there is description for the settings of 'frun', 'fcull' and 'fstop' which are not consistent with one for the settings of 'brun', 'bcull' and 'bstop', and they seem not make sense. I have had chat with some folks from Content Service team, and applied the following corrections to Japanese translation according to their advise.

Guide name: RHEL6.3 Storage Administration Guide
Chapter name: FS-Cache
File name: newfilesys-fscache
(https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Storage_Administration_Guide/index.html#fscacheculllimit)

"frun N%
If the number of files the file system can further accommodate falls below <computeroutput>N</computeroutput>% of its maximum file limit, <command>cachefilesd</command> disables culling. "

- Here 'falls below' should read 'rises above'?

"fcull N%
If the number of files the file system can further accommodate rises above <computeroutput>N</computeroutput>% of its maximum file limit, <command>cachefilesd</command> starts culling."

- Here 'rises above' should read 'falls below'?

"fstop N%
If the number of files the file system can further accommodate rises above <computeroutput>N</computeroutput>% of its maximum file limit, <command>cachefilesd</command> will no longer allocate disk space until culling drops the number of files to below <computeroutput>N</computeroutput>% of the limit."

- Here 'rises above' should read 'falls below'? Also 'culling drops the number of files to below N% of the limit' should read 'culling rises the number of files to above N% of the limit'?
Comment 3 David Howells 2013-07-29 07:21:33 EDT
Created attachment 779793 [details]
In-kernel documentation for cachefiles

Here is the in kernel documentation for the Cachefiles facility.  The relevant part is under the "CACHE CULLING" heading and I've pasted it ehre:

"""
Cache culling is done on the basis of the percentage of blocks and the
percentage of files available in the underlying filesystem.  There are six
"limits":

 (*) brun
 (*) frun

     If the amount of free space and the number of available files in the cache
     rises above both these limits, then culling is turned off.

 (*) bcull
 (*) fcull

     If the amount of available space or the number of available files in the
     cache falls below either of these limits, then culling is started.

 (*) bstop
 (*) fstop

     If the amount of available space or the number of available files in the
     cache falls below either of these limits, then no further allocation of
     disk space or files is permitted until culling has raised things above
     these limits again.

These must be configured thusly:

	0 <= bstop < bcull < brun < 100
	0 <= fstop < fcull < frun < 100

Note that these are percentages of available space and available files, and do
_not_ appear as 100 minus the percentage displayed by the "df" program.
"""

Note that you cannot treat the bxxx,fxxx pairs separately in the documentation as culling depends on _both_ of them simultaneously.

And, yes, Noriko Mizumoto is generally correct in his assertions in comment 1 - the direction is inverted.

Note You need to log in before you can comment on or make changes to this bug.